package de.intevation.flys.artifacts.access;

import de.intevation.flys.artifacts.FLYSArtifact;


public class FlowVelocityAccess extends Access {

	private int[] mainChannels;
	private int[] totalChannels;

	private Double lowerKM;
	private Double upperKM;


	public FlowVelocityAccess(FLYSArtifact artifact) {
		super(artifact);
	}


	public int[] getMainChannels() {
		if (mainChannels == null) {
			mainChannels = getIntArray("main.channel");
		}

		return mainChannels;
    }


    public int[] getTotalChannels() {
    	if (totalChannels == null) {
    		totalChannels = getIntArray("total.channel");
    	}

    	return totalChannels;
    }


    public Double getLowerKM() {
    	if (lowerKM == null) {
    		lowerKM = getDouble("ld_from");
    	}

    	return lowerKM;
    }


    public Double getUpperKM() {
    	if (upperKM == null) {
    		upperKM = getDouble("ld_to");
    	}

    	return upperKM;
    }
}
